# eric7.Plugins.PluginVmListspace

Module implementing the Tabview view manager plugin.

### Global Attributes

author
autoactivate
className
deactivateable
displayString
error
longDescription
name
packageName
pluginType
pluginTypename
pyqtApi
shortDescription
version

### Classes

VmListspacePlugin | Class implementing the Listspace view manager plugin.

### Functions

previewPix | Module function to return a preview pixmap.

## VmListspacePlugin

Class implementing the Listspace view manager plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

VmListspacePlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### VmListspacePlugin (Constructor)

VmListspacePlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VmListspacePlugin.activate

activate()

Public method to activate this plugin.

Return:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VmListspacePlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## previewPix

previewPix()

Module function to return a preview pixmap.

Return:
  preview pixmap (QPixmap)

Up